Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90	(revision 6923)
@@ -1,10 +1,10 @@
 MODULE usrdef_hgr
-   !!==============================================================================
+   !!======================================================================
    !!                       ***  MODULE usrdef_hgr   ***
    !!
-   !!                     ===  LOCK_EXCHANGE configuration  ===
+   !!                  ===  LOCK_EXCHANGE configuration  ===
    !!
-   !! User defined : horizontal mesh   
-   !!==============================================================================
+   !! User defined :   mesh and Coriolis parameter of a user configuration
+   !!======================================================================
    !! History :  NEMO  ! 2016-08  (S. Flavoni, G. Madec)  Original code
    !!----------------------------------------------------------------------
@@ -25,9 +25,9 @@
    PRIVATE
 
-   PUBLIC   usr_def_hgr   ! called in domhgr.F90  module
+   PUBLIC   usr_def_hgr   ! called by domhgr.F90
 
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id: $ 
+   !! $Id$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_istate.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_istate.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_istate.F90	(revision 6923)
@@ -1,10 +1,10 @@
 MODULE usrdef_istate
-   !!==============================================================================
-   !!                       ***  MODULE usrdef_istate   ***
+   !!======================================================================
+   !!                     ***  MODULE usrdef_istate   ***
    !!
-   !!                      ===  LOCK_EXCHANGE configuration  ===
+   !!                  ===  LOCK_EXCHANGE configuration  ===
    !!
    !! User defined : set the initial state of a user configuration
-   !!==============================================================================
+   !!======================================================================
    !! History :  NEMO ! 2016-03  (S. Flavoni, G. Madec) Original code
    !!----------------------------------------------------------------------
@@ -23,9 +23,9 @@
    PRIVATE
 
-   PUBLIC   usr_def_istate   ! called in istate.F90  module
+   PUBLIC   usr_def_istate   ! called by istate.F90
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.7 , NEMO Consortium (2014)
-   !! $Id:$ 
+   !! NEMO/OPA 4.0 , NEMO Consortium (2016)
+   !! $Id$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_nam.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_nam.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_nam.F90	(revision 6923)
@@ -1,10 +1,10 @@
 MODULE usrdef_nam
-   !!==============================================================================
-   !!                       ***  MODULE usrdef_nam   ***
+   !!======================================================================
+   !!                       ***  MODULE usrdef_nam  ***
    !!
-   !!                     ===  LOCK_EXCHANGE configuration  ===
+   !!                  ===  LOCK_EXCHANGE configuration  ===
    !!
-   !! User defined : set the domain characteristics
-   !!==============================================================================
+   !! User defined : set the domain characteristics of a user configuration
+   !!======================================================================
    !! History :  NEMO ! 2016-03  (S. Flavoni, G. Madec)  Original code
    !!----------------------------------------------------------------------
@@ -25,5 +25,5 @@
    PRIVATE
 
-   PUBLIC   usr_def_nam   ! called in nemogcm.F90 module
+   PUBLIC   usr_def_nam   ! called by nemogcm.F90
 
    !                              !!* namusr_def namelist *!!
@@ -33,5 +33,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id: $ 
+   !! $Id$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_sbc.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_sbc.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_sbc.F90	(revision 6923)
@@ -1,9 +1,9 @@
 MODULE usrdef_sbc
    !!======================================================================
-   !!                       ***  MODULE  usrdef_sbc  ***
+   !!                       ***  MODULE usrdef_sbc  ***
    !! 
-   !!                     ===  LOCK_EXCHANGE configuration  ===
+   !!                  ===  LOCK_EXCHANGE configuration  ===
    !!
-   !! User defined :    user defined momentum, heat and freshwater forcings  
+   !! User defined :   surface forcing of a user configuration
    !!======================================================================
    !! History :  4.0   ! 2016-03  (S. Flavoni, G. Madec)  user defined interface
@@ -26,5 +26,5 @@
    PRIVATE
 
-   PUBLIC   usr_def_sbc    ! routine called in sbcmod module
+   PUBLIC   usr_def_sbc   ! routine called by sbcmod.F90
 
    !! * Substitutions
@@ -32,5 +32,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id: $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_zgr.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_zgr.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_zgr.F90	(revision 6923)
@@ -1,10 +1,10 @@
 MODULE usrdef_zgr
-   !!==============================================================================
-   !!                       ***  MODULE usrdef_zgr  ***
+   !!======================================================================
+   !!                   ***  MODULE  usrdef_zgr  ***
    !!
-   !!                   ===      LOCK_EXCHANGE case      ===
+   !!                   ===  LOCK_EXCHANGE case  ===
    !!
    !! Ocean domain : user defined vertical coordinate system 
-   !!==============================================================================
+   !!======================================================================
    !! History :  4.0  ! 2016-08  (G. Madec, S. Flavoni)  Original code
    !!----------------------------------------------------------------------
@@ -27,5 +27,5 @@
    PRIVATE
 
-   PUBLIC   usr_def_zgr        ! called by domzgr.F90
+   PUBLIC   usr_def_zgr   ! called by domzgr.F90
 
   !! * Substitutions
@@ -33,5 +33,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id: domzgr.F90 6624 2016-05-26 08:59:48Z gm $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/zdfini.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/zdfini.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/zdfini.F90	(revision 6923)
@@ -36,5 +36,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2011)
-   !! $Id: zdfini.F90 5836 2015-10-26 14:49:40Z cetlod $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_hgr.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_hgr.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_hgr.F90	(revision 6923)
@@ -1,10 +1,10 @@
 MODULE usrdef_hgr
-   !!==============================================================================
-   !!                       ***  MODULE usrdef_hgr   ***
+   !!======================================================================
+   !!                       ***  MODULE  usrdef_hgr  ***
    !!
    !!                     ===  OVERFLOW configuration  ===
    !!
-   !! User defined : horizontal mesh   
-   !!==============================================================================
+   !! User defined :   mesh and Coriolis parameter of a user configuration
+   !!======================================================================
    !! History :  NEMO  ! 2016-08  (S. Flavoni, G. Madec)  Original code
    !!----------------------------------------------------------------------
@@ -25,9 +25,9 @@
    PRIVATE
 
-   PUBLIC   usr_def_hgr   ! called in domhgr.F90  module
+   PUBLIC   usr_def_hgr   ! called by domhgr.F90
 
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id: $ 
+   !! $Id$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_istate.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_istate.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_istate.F90	(revision 6923)
@@ -1,5 +1,5 @@
 MODULE usrdef_istate
    !!==============================================================================
-   !!                       ***  MODULE usrdef_istate   ***
+   !!                       ***  MODULE usrdef_istate  ***
    !!
    !!                      ===  OVERFLOW configuration  ===
@@ -23,9 +23,9 @@
    PRIVATE
 
-   PUBLIC   usr_def_istate   ! called in istate.F90  module
+   PUBLIC   usr_def_istate   ! called by istate.F90
 
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.7 , NEMO Consortium (2014)
-   !! $Id:$ 
+   !! $Id$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_nam.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_nam.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_nam.F90	(revision 6923)
@@ -1,10 +1,10 @@
 MODULE usrdef_nam
-   !!==============================================================================
-   !!                       ***  MODULE usrdef_nam   ***
+   !!======================================================================
+   !!                       ***  MODULE  usrdef_nam  ***
    !!
    !!                     ===  OVERFLOW configuration  ===
    !!
-   !! User defined : set the domain characteristics
-   !!==============================================================================
+   !! User defined : set the domain characteristics of a user configuration
+   !!======================================================================
    !! History :  NEMO ! 2016-03  (S. Flavoni, G. Madec)  Original code
    !!----------------------------------------------------------------------
@@ -26,5 +26,5 @@
    PRIVATE
 
-   PUBLIC   usr_def_nam   ! called in nemogcm.F90 module
+   PUBLIC   usr_def_nam   ! called by nemogcm.F90
 
    !                              !!* namusr_def namelist *!!
@@ -34,5 +34,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id: $ 
+   !! $Id$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_sbc.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_sbc.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_sbc.F90	(revision 6923)
@@ -5,5 +5,5 @@
    !!                     ===  OVERFLOW configuration  ===
    !!
-   !! User defined :    user defined momentum, heat and freshwater forcings  
+   !! User defined :   surface forcing of a user configuration
    !!======================================================================
    !! History :  4.0   ! 2016-03  (S. Flavoni, G. Madec)  user defined interface
@@ -26,5 +26,5 @@
    PRIVATE
 
-   PUBLIC   usr_def_sbc    ! routine called in sbcmod module
+   PUBLIC   usr_def_sbc   ! routine called by sbcmod.F90
 
    !! * Substitutions
@@ -32,5 +32,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id: $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_zgr.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_zgr.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_zgr.F90	(revision 6923)
@@ -1,10 +1,10 @@
 MODULE usrdef_zgr
-   !!==============================================================================
-   !!                       ***  MODULE usrdef_zgr  ***
+   !!======================================================================
+   !!                     ***  MODULE usrdef_zgr  ***
    !!
-   !!                     ===      OVERFLOW case      ===
+   !!                       ===  OVERFLOW case  ===
    !!
-   !! Ocean domain : user defined vertical coordinate system 
-   !!==============================================================================
+   !! user defined :  vertical coordinate system of a user configuration
+   !!======================================================================
    !! History :  4.0  ! 2016-08  (G. Madec, S. Flavoni)  Original code
    !!----------------------------------------------------------------------
@@ -29,5 +29,5 @@
    PRIVATE
 
-   PUBLIC   usr_def_zgr        ! called by domzgr.F90
+   PUBLIC   usr_def_zgr   ! called by domzgr.F90
 
   !! * Substitutions
@@ -35,5 +35,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id: domzgr.F90 6624 2016-05-26 08:59:48Z gm $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/zdfini.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/zdfini.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/zdfini.F90	(revision 6923)
@@ -1,5 +1,8 @@
 MODULE zdfini
    !!======================================================================
-   !!                      ***  MODULE  zdfini  ***
+   !!                     ***  MODULE zdfini  ***
+   !!
+   !!                     ===  OVERFLOW case  ===
+   !!
    !! Ocean physics :   read vertical mixing namelist and check consistancy
    !!======================================================================
@@ -36,5 +39,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2011)
-   !! $Id: zdfini.F90 5836 2015-10-26 14:49:40Z cetlod $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 6923)
@@ -17,5 +17,6 @@
    !!----------------------------------------------------------------------
    USE dom_oce         ! ocean space and time domain
-   USE phycst,   ONLY:   rsmall,rau0
+   USE phycst ,   ONLY :   rsmall
+   !
    USE in_out_manager  ! I/O manager
    USE iom             ! I/O library
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/iscplhsb.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/iscplhsb.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/iscplhsb.F90	(revision 6923)
@@ -1,5 +1,5 @@
 MODULE iscplhsb
    !!======================================================================
-   !!                       ***  MODULE  iscplhsb***
+   !!                       ***  MODULE  iscplhsb  ***
    !! Ocean forcing: ice sheet/ocean coupling (conservation)
    !!=====================================================================
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/iscplini.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/iscplini.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/iscplini.F90	(revision 6923)
@@ -1,5 +1,5 @@
 MODULE iscplini
    !!======================================================================
-   !!                       ***  MODULE  sbciscpl***
+   !!                       ***  MODULE  sbciscpl  ***
    !! Ocean forcing:  river runoff
    !!=====================================================================
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/iscplrst.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/iscplrst.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/iscplrst.F90	(revision 6923)
@@ -1,5 +1,5 @@
 MODULE iscplrst
    !!======================================================================
-   !!                       ***  MODULE  iscplrst***
+   !!                       ***  MODULE  iscplrst  ***
    !! Ocean forcing: update the restart file in case of ice sheet/ocean coupling
    !!=====================================================================
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen.F90	(revision 6923)
@@ -37,5 +37,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.7 , NEMO Consortium (2014)
-   !! $Id: traadv_cen2.F90 5737 2015-09-13 07:42:41Z gm $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_closea.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_closea.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_closea.F90	(revision 6923)
@@ -2,4 +2,8 @@
    !!======================================================================
    !!                   ***  MODULE  usrdef_closea  ***
+   !!
+   !!                      ===  ORCA configuration  ===
+   !!                         (2, 1 and 1/4 degrees)
+   !!
    !! User define : specific treatments associated with closed seas
    !!======================================================================
@@ -71,6 +75,6 @@
       !!                                   =2 put at location runoff
       !!----------------------------------------------------------------------
-      CHARACTER(len=1)          , INTENT(in   ) ::   cd_cfg   ! configuration name
-      INTEGER                   , INTENT(in   ) ::   kcfg     ! configuration identifier 
+      CHARACTER(len=1), INTENT(in   ) ::   cd_cfg   ! configuration name
+      INTEGER         , INTENT(in   ) ::   kcfg     ! configuration identifier 
       !
       INTEGER ::   jc      ! dummy loop indices
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_fmask.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_fmask.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_fmask.F90	(revision 6923)
@@ -1,6 +1,10 @@
 MODULE usrdef_fmask
    !!======================================================================
-   !!                       ***  MODULE usrdef_fmask   ***
-   !! User Defined : alteration of land/sea f-point mask in some straits
+   !!                     ***  MODULE usrdef_fmask   ***
+   !!
+   !!                      ===  ORCA configuration  ===
+   !!                            (2 and 1 degrees)
+   !!
+   !! User defined : alteration of land/sea f-point mask in some straits
    !!======================================================================
    !! History :  4.0  ! 2016-06  (G. Madec, S. Flavoni)  Original code
@@ -25,6 +29,6 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 4.0 , LODYC-IPSL  (2016)
-   !! $Id: $ 
+   !! NEMO/OPA 4.0 , NEMO Consortium  (2016)
+   !! $Id$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_hgr.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_hgr.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_hgr.F90	(revision 6923)
@@ -1,7 +1,10 @@
 MODULE usrdef_hgr
-   !!==============================================================================
-   !!                       ***  MODULE usrdef_hgr   ***
-   !! User defined module: used like example to define domain, init, sbc, ...
-   !!==============================================================================
+   !!======================================================================
+   !!                     ***  MODULE usrdef_hgr   ***
+   !!
+   !!                     ===  GYRE configuration  ===
+   !!
+   !! User defined :   mesh and Coriolis parameter of a user configuration
+   !!======================================================================
    !! History :  NEMO ! 2016-03  (S. Flavoni) 
    !!----------------------------------------------------------------------
@@ -22,9 +25,9 @@
    PRIVATE
 
-   PUBLIC   usr_def_hgr   ! called in domhgr.F90  module
+   PUBLIC   usr_def_hgr   ! called in domhgr.F90
 
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id: $ 
+   !! $Id$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_istate.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_istate.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_istate.F90	(revision 6923)
@@ -1,7 +1,10 @@
 MODULE usrdef_istate
-   !!==============================================================================
-   !!                       ***  MODULE usrdef_istate   ***
+   !!======================================================================
+   !!                   ***  MODULE  usrdef_istate   ***
+   !!
+   !!                     ===  GYRE configuration  ===
+   !!
    !! User defined : set the initial state of a user configuration
-   !!==============================================================================
+   !!======================================================================
    !! History :  NEMO ! 2016-03  (S. Flavoni) Original code
    !!----------------------------------------------------------------------
@@ -19,9 +22,9 @@
    PRIVATE
 
-   PUBLIC   usr_def_istate   ! called in istate.F90  module
+   PUBLIC   usr_def_istate   ! called in istate.F90
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.7 , NEMO Consortium (2014)
-   !! $Id:$ 
+   !! NEMO/OPA 4.0 , NEMO Consortium (2016)
+   !! $Id$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_nam.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_nam.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_nam.F90	(revision 6923)
@@ -1,10 +1,10 @@
 MODULE usrdef_nam
-   !!==============================================================================
-   !!                       ***  MODULE usrdef_nam   ***
-   !! User defined : set the domain characteristics
+   !!======================================================================
+   !!                     ***  MODULE usrdef_nam   ***
    !!
-   !!                ===     Here  GYRE configuration      ===
+   !!                     ===  GYRE configuration  ===
    !!
-   !!==============================================================================
+   !! User defined : set the domain characteristics of a user configuration
+   !!======================================================================
    !! History :  NEMO ! 2016-03  (S. Flavoni, G. Madec)  Original code
    !!----------------------------------------------------------------------
@@ -33,5 +33,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id: $ 
+   !! $Id$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_sbc.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_sbc.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_sbc.F90	(revision 6923)
@@ -1,10 +1,10 @@
 MODULE usrdef_sbc
    !!======================================================================
-   !!                       ***  MODULE  usrdef_sbc  ***
-   !! Ocean forcing:  user defined momentum, heat and freshwater forcings
+   !!                     ***  MODULE  usrdef_sbc  ***
    !!
-   !!                ===     Here  GYRE configuration      ===
+   !!                     ===  GYRE configuration  ===
    !!
-   !!=====================================================================
+   !! User defined :   surface forcing of a user configuration
+   !!======================================================================
    !! History :  4.0   ! 2016-03  (S. Flavoni, G. Madec)  user defined interface
    !!----------------------------------------------------------------------
@@ -32,5 +32,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id: $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_zgr.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_zgr.F90	(revision 6922)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_zgr.F90	(revision 6923)
@@ -1,10 +1,10 @@
 MODULE usrdef_zgr
-   !!==============================================================================
-   !!                       ***  MODULE usrdef_zgr  ***
-   !! Ocean domain : user defined vertical coordinate system 
+   !!======================================================================
+   !!                       ***  MODULE  usrdef_zgr  ***
    !!
-   !!                       ===      GYRE case      ===
+   !!                       ===  GYRE configuration  ===
    !!
-   !!==============================================================================
+   !! User defined : vertical coordinate system of a user configuration
+   !!======================================================================
    !! History :  4.0  ! 2016-06  (G. Madec)  Original code
    !!----------------------------------------------------------------------
@@ -34,5 +34,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id: domzgr.F90 6624 2016-05-26 08:59:48Z gm $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------